apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: adminer-ingress
  labels:
    app: adminer
  annotations:
    traefik.ingress.kubernetes.io/router.entrypoints: web,websecure
spec:
  ingressClassName: traefik
  tls:
    - hosts:
        - adminer.192.168.42.120.nip.io
      secretName: nip-io-cert
  rules:
    - host: adminer.lotimmy.com
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: adminer-service
                port:
                  number: 80
    - host: adminer.192.168.42.120.nip.io
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: adminer-service
                port:
                  number: 80
